{ pkgs, ... }:

with pkgs;
[

  shellcheck

  # Rust setup
  unstable.rustc
  unstable.rustfmt
  unstable.cargo
  unstable.clippy
  unstable.rust-analyzer

  # Further tools
  lazygit
  languagetool

  # makemkv
  audacity
  gnome.cheese
  zoom-us
  qutebrowser

  unetbootin

  # For SSS exercises
  pwndbg
  gcc
  hexedit

  # rfid reader tests
  openct
  opensc
  pcsclite
  pcsctools
  ccid
  libnfc

  xournalpp

  xfce.thunar-archive-plugin
  zip
  p7zip # unzip 7zip archives
  imagemagick
  firefox
  thunderbird
  nextcloud-client
  qalculate-gtk
  libqalculate

  # schildichat-desktop # not updated regularly
  element-desktop
  tdesktop # telegram

  tealdeer
  gcolor2 # gcolor3 does not work
  # cups
  wget
  gparted
  nodejs
  git
  dotter
  mc
  broot
  rnr # renaming tool in rust
  doublecmd
  mucommander
  tree
  wezterm
  kitty
  bat
  ripgrep
  fd
  fzf
  topgrade

  arandr
  wireguard-tools
  htop
  texlive.combined.scheme-full
  texlab
  usbutils # lsusb
  pciutils # lspci

  gnome.gnome-keyring
  gnome.seahorse
  polkit_gnome
  nix-index
  python3
  libnotify
  libclang
  libreoffice
  killall
  findutils
  xorg.xkill
  unzip
  vlc
  handbrake
  nmap
  jq
  jdk
  # emacsPackages.clang-format # formatting for java
  gradle
  maven
  android-tools
  scrcpy
  # dvdisaster
  mate.engrampa
  # toybox
  unixtools.procps
  qpdfview
  ffmpeg
  links2
  julia-bin
  xdg-desktop-portal-gtk
  discord
  lnav # log analyzing tool
  fdupes # find and delete duplicate files
  digikam
  dbeaver-bin
  pavucontrol
  sqlite

  nomacs
  rocketchat-desktop
  zotero
  inkscape
  pulseaudio
  gcolor3
  geogebra

  languagetool
  xclip
  okular # Pdf reader with many features, good for commenting documents
  evince # Simple pdf reader, good for focusing on document content
  pdfsam-basic # Split, merge, etc for pdfs

  poppler_utils # Pdf utils including pdfimages
  matlab # Using nix-matlab overlay defined in flake
  # sage

  gimp

  devbox
  parted
  drawio
  du-dust # Like du tree but better
  gnupg
  rpi-imager

  wine
  winetricks

  # lf
  # rustdesk
  # realvnc-vnc-viewer
  calibre

  audible-cli

  # cudaPackages.cudatoolkit
  # openmvg
  # colmapWithCuda
  unstable.path-of-building

  nheko

  pkg-config # Often needed to build something

  ## My scripts
  frajul.edit-config
  frajul.xwacomcalibrate

  (pkgs.writeShellScriptBin "matlab-paper" ''
    matlab -desktop -sd "/home/julian/dev/phdthesis/Phase B/mainSimulation" -softwareopengl
  '')
  (pkgs.writeShellScriptBin "matlab-robotik" ''
    matlab -desktop -sd "/home/julian/nas-sync/Studium/Vorlesungen-Master/ss24/Robotik2" -softwareopengl
  '')
  (pkgs.writeShellScriptBin "matlab-gram" ''
    export GTK_PATH=/usr/lib/gtk-3.0
    nix shell nixpkgs#gcc11 --command matlab -desktop -sd "/home/julian/dev/matlab-gram" -softwareopengl
  '')
  (pkgs.writeShellScriptBin "expenses-tracker" ''
    java -jar /home/julian/dev/expensestracker/app/build/libs/app.jar
  '')
]
